
QGIS Application - Bug report #2489

QDomNode: No such file or directory

2010-03-04 06:30 AM - Sandro Santilli

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: SuSE Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12549

Description

ccmake didnt' complain, allowed to configure and generate.

But make failed:

SVN r12991

History

#1 - 2010-03-04 06:39 AM - Sandro Santilli

System QDomNode is here:

/usr/include/QtXml/QDomNode

Bug still present as of commit:5ea14878 (SVN r12998)

#2 - 2010-03-04 07:10 AM - Martin Dobias

Please can you check the compiler arguments?

Hint: use

make VERBOSE=1

to see the executed commands.

#3 - 2010-03-04 07:14 AM - Giovanni Manghi

I'm seeing the same error trying to compile on Ubuntu.

#4 - 2010-03-05 12:20 AM - Sandro Santilli

cd /net/lafont/home/santisa/src/qgis/build/src/core && /net/lafont/home/santisa/extra/bin/c++   -DQT_
DLL -DQT_GUI_LIB -DQT_CORE_LIB -DQT_NO_CAST_TO_ASCII -D_TTY_POSIX_ -D_LARGE_FILE=1 -D_FILE_OFFSET_BIT

S=64 -D_LARGEFILE_SOURCE=1 -DSQLITE_ENABLE_RTREE=1 -D_HAVE_PTHREAD_ -Dqgis_core_EXPORTS -fPIC -I/net/

lafont/home/santisa/src/qgis/qgis/src/core/spatialite/headers/spatialite -I/usr/include/QtGui -I/usr/

include/QtCore -I/net/lafont/home/santisa/src/qgis/build -I/net/lafont/home/santisa/src/qgis/qgis/src

/core -I/net/lafont/home/santisa/src/qgis/qgis/src/core/composer -I/net/lafont/home/santisa/src/qgis/

qgis/src/core/pal -I/net/lafont/home/santisa/src/qgis/qgis/src/core/raster -I/net/lafont/home/santisa

/src/qgis/qgis/src/core/renderer -I/net/lafont/home/santisa/src/qgis/qgis/src/core/symbology -I/net/l

afont/home/santisa/src/qgis/qgis/src/core/spatialindex/include -I/net/lafont/home/santisa/src/qgis/qg

is/src/core/symbology-ng -I/net/lafont/home/santisa/src/qgis/qgis/src/core/gps/qextserialport   -DCOR

E_EXPORT= -DGUI_EXPORT= -DPYTHON_EXPORT= -DANALYSIS_EXPORT= -o CMakeFiles/qgis_core.dir/symbology-ng/

qgssymbollayerv2utils.cpp.o -c /net/lafont/home/santisa/src/qgis/qgis/src/core/symbology-ng/qgssymbol

layerv2utils.cpp

/net/lafont/home/santisa/src/qgis/qgis/src/core/symbology-ng/qgssymbollayerv2utils.cpp:13:20: error:

QDomNode: No such file or directory

#5 - 2010-03-15 07:51 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

I believe this has been fixed by Juergen in commit:82a9fa1b (SVN r13009). Please reopen if still valid.
